package com.sodius.rhapsody.toolkit.ui;


public class ExportUML21Wizard extends ToolkitWizard {
	
	private static String unitsSelectionPageTitle = "Units selection";
	
	ExportUML21Wizard(ToolkitUIManager manager) {
		super(manager);
		setWindowTitle(ExportWizard.title);
	}
	
	public void addPages() {
		if(!isPagesReady())
		{
			mainPage = new ExportUnitsSelectionWizardPage(this.manager, unitsSelectionPageTitle);
			super.addPage(mainPage);
		}
	}
	
	public ToolkitWizardSelectionPage getUnitsSelectionPage() {
		return (ToolkitWizardSelectionPage)mainPage;
	}

}
