package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.wizard.IWizardNode;
import org.eclipse.swt.graphics.Point;

class ImportUML21WizardNode implements IWizardNode {
	protected ToolkitUIManager manager;
    private ImportUML21Wizard wizard;
    
    
    ImportUML21WizardNode(ToolkitUIManager manager) {
        this.manager = manager;
    }
    
    public void dispose() {
        if (wizard != null)
            wizard.dispose();
    }
    
    public Point getExtent() {
        return new Point(-1, -1);
    }
    
    public ImportUML21Wizard getWizard() {
    	if (wizard==null){
    		wizard = new ImportUML21Wizard(manager);
    	}
    	return wizard;
    }
    
    public boolean isContentCreated() {
        return wizard != null;
    }
}
