package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.wizard.WizardPage;


public class SaveFileWizard extends FinalToolkitWizard {
	
	private static String saveFilePageLabel = "Please select the export file:";
	
	SaveFileWizard(ToolkitUIManager manager) {
		super(manager);
		setWindowTitle(ExportWizard.title);
	}
	
	public void addPages() {
		if(!isPagesReady())
		{
			mainPage = new SaveFileWizardPage(this.manager, ExportWizard.savePageTitle, saveFilePageLabel);
			addPage(mainPage);
		}
	}
	
	public WizardPage getSaveFilePage() {
		return mainPage;
	}

}
