package com.sodius.mdw.log;


/**
 * @author Mickael Albert
 *
 */
public abstract class AbstractEventContext implements EventContext{

	
	public String getValueDescription(String key) {
		if(hasValue(key))
			return getValue(key).toString();
		return null;
	}
	
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("[");
		for (String key : this.getKeys()) {
			builder.append(key+"="+this.getValueDescription(key)+";");
		}
		builder.append(']');
		return builder.toString();
	}
	
	
}
