package com.sodius.rhapsody.licensing;

import com.sodius.mdw.core.CoreException;
import com.sodius.rhapsody.toolkit.util.thread.RhapsodyAPIExec;
import com.telelogic.rhapsody.core.IRPApplication;

public class RhapsodyLicenseManager {



	static public void checkin(final String feature, final IRPApplication application) {
		try {
			if(application!=null) 
			{
				RhapsodyAPIExec.synchExec(new Runnable() {
				
					public void run() {
						application.rhpCheckinLicense(feature);
					}
				
				});
			}
		} catch (Exception e) {

		}
	}

	static public String checkout(final String feature, final IRPApplication application) {
		final String[] result = new String[1];
		if (application != null)
		{
			try {
				RhapsodyAPIExec.synchExec(new Runnable() {
					
					public void run() {
						result[0] = application.rhpCheckoutLicense(feature);
					}
				
				});
			} catch (CoreException e) {
				e.printStackTrace();
			}
		}
		return result[0];
	}
}