package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.wizard.WizardPage;


public class ImportWizard extends FinalToolkitWizard {
    
    public static String title = "XMI Toolkit Importer";
    //public static String DESCRIPTION = "Select XMI file to import in Rhapsody";
	private static String loadFilePageTitle = "Please select file:";

    ImportWizard(ToolkitUIManager manager) {
    	super(manager);
    	setWindowTitle(manager.getToolkit().getParameters().getCustomization().name + " importer"); 
    }
    
    public void addPages() {
    	if(!isPagesReady())
		{
	    	mainPage = new ImportLoadFileWizardPage(this.manager, loadFilePageTitle);
			addPage(mainPage);
			mainPage.setPageComplete(false);
		}
    }
    
	public WizardPage getSaveFilePage() {
		return mainPage;
	}	

}
