package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.swt.widgets.Composite;

import com.sodius.rhapsody.toolkit.properties.RhapsodyXMIToolkitParameters;

public class SaveFileWizardPage extends ToolkitWizardPage {
	
	private String saveFilePageLabel;

	SaveFileWizardPage(ToolkitUIManager manager, String pageTitle, String label) {
		super(manager, "SaveFileWizardPage", pageTitle, manager.getImageRegistry().getDescriptor(manager.getIconFileName()));
		this.saveFilePageLabel=label;
		setDescription(ExportWizard.DESCRIPTION);
		
	}

	public void createControl(Composite parent) {
		ShowFileControl showFileDialog = new ShowFileControl(parent, this, this.manager, saveFilePageLabel);
		setControl(showFileDialog);
	}

	public void setParameters() {
	}

	public boolean isCommandLineFilled() {
		return (this.manager.getToolkit().getParameters().isCommandLineProperty(RhapsodyXMIToolkitParameters.KEY_XMI_FILENAME));
	}

}
