package com.sodius.rhapsody.toolkit.ui;

import java.io.File;

import org.eclipse.jface.dialogs.DialogTray;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

public class ToolkitDialogTray extends DialogTray {

	private HelpSection browser;
	private File HelpFilesFolder;
	
	private ToolkitUIManager manager;

	public ToolkitDialogTray(File file, ToolkitUIManager manager) {
		super(); 
		this.manager = manager;
		this.HelpFilesFolder = file;
	}

	protected Control createContents(Composite parent) {
		browser = new HelpBrowserHTML(HelpFilesFolder, this.manager, parent, SWT.NONE);
		return browser;
	}

	public HelpSection getBrowser() {
		return browser;
	}

	public int getWidth() {
		return browser.getwidth();
	}


}
